[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4762: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4764: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4765: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4766: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
Chipmunk Physics • View topic - iOS 6.0 not yet supported

iOS 6.0 not yet supported

Discuss any Chipmunk bugs here.

iOS 6.0 not yet supported

Postby thunderrabbit » Sat Oct 20, 2012 10:58 am

I've got XCode version 4.5.1 and iOS SDKs 5.1 and 6.0. I'm evaluating Sparrow + Chipmunk 6.1.1.

When trying to do iphonestatic.command, I get 8 errors which look something like

> CompileC build/Chipmunk6.build/Release-iphoneos/ChipmunkStatic-iPhone.build/Objects-normal/armv7/cpSpaceQuery.o ../src/cpSpaceQuery.c normal armv7 c com.apple.compilers.llvm.clang.1_0.compiler

(these errors happen whether I use "-sdk iphoneos5.1" or "-sdk iphoneos6.0" in the xcodebuild lines.)

I note here
viewtopic.php?f=3&t=2332#p10310

that iOS 6 doesn't seem to be supported yet because of Apple's [strike]commitment to quality[/strike], :roll: er I mean buggy mess of iOS development tools (Xcode).

Scott, in the same posting, you said "I can throw up a temporary build on the site if you really want though."

Will such a temporary build ostensibly solve my issue with running iphonestatic.command?

I do have an iPhone5, so I can help test, though I'm new to Chipmunk so I can't yet reliably distinguish my errors from errors in a 'temporary build' of Chipmunk.
thunderrabbit
 
Posts: 4
Joined: Sat Oct 20, 2012 8:49 am

Re: iOS 6.0 not yet supported

Postby thunderrabbit » Sat Oct 20, 2012 11:11 am

Ah crap in the very next post, I see you have a beta 6.1.2.

viewtopic.php?f=3&t=2332#p10311

Do I hafta buy a license to get at it? Hmmm.
thunderrabbit
 
Posts: 4
Joined: Sat Oct 20, 2012 8:49 am

Re: iOS 6.0 not yet supported

Postby slembcke » Sat Oct 20, 2012 2:53 pm

It should build fine with Xcode 4.5 if you change the SDK, but I think you cut off the interesting part of the error in the build log. Try grabbing the latest code from the GitHub project. I changed the build script to automatically detect the latest SDK installed on your system (a little bit of a pain actually). It should build out of the box with any version of Xcode 4.x now (except for the ones that shipped with buggy compilers...).

The 6.1.2 beta build was just Chipmunk Indie. I didn't do use any secret source changes that I withheld from the public GitHub repository to produce that.

Also, that would be super helpful if you could test an armv7s build on your iPhone 5 for me. If you send me your UDID to admin@howlingmoonsoftware.com I can send you a build of the Chipmunk Showcase application. Basically you'd just need to play around with the demos for a minute or two each to see if anything strange happens.
Can't sleep... Chipmunks will eat me...
Check out our latest projects! -> http://howlingmoonsoftware.com/wordpress/
User avatar
slembcke
Site Admin
 
Posts: 4164
Joined: Tue Aug 14, 2007 7:13 pm

Re: iOS 6.0 not yet supported

Postby thunderrabbit » Sat Oct 20, 2012 6:17 pm

Here's the entire log from running iphonestatic.command:

http://pastebin.com/fwX9jNf4

I sent a PM with my UDID.
thunderrabbit
 
Posts: 4
Joined: Sat Oct 20, 2012 8:49 am

Re: iOS 6.0 not yet supported

Postby thunderrabbit » Sat Oct 20, 2012 7:03 pm

thunderrabbit
 
Posts: 4
Joined: Sat Oct 20, 2012 8:49 am

Re: iOS 6.0 not yet supported

Postby slembcke » Mon Oct 22, 2012 3:05 pm

No idea what is going on there. It sounds like your Xcode command line tools are really messed up. What happens if you run "xcodebuild -version"? It shouldn't even be trying to build it using gcc at all, and you shouldn't have needed to make a link to a fake gcc.

What happens if you try to run xcodebuild in a different project that already compiles fine using the Xcode GUI?

I sent that Chipmunk Showcase build to your email.
Can't sleep... Chipmunks will eat me...
Check out our latest projects! -> http://howlingmoonsoftware.com/wordpress/
User avatar
slembcke
Site Admin
 
Posts: 4164
Joined: Tue Aug 14, 2007 7:13 pm


Return to Bugs

Who is online

Users browsing this forum: No registered users and 0 guests